Bug 33706 - REGRESSION(r53110): WebKitPluginHost crashes when switching to full screen Flash with 10.1 beta
Summary: REGRESSION(r53110): WebKitPluginHost crashes when switching to full screen Fl...
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Critical
Assignee: Nobody
URL: http://www.atlassian.com/tv/episode?i...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-01-15 00:21 PST by Dimitris Apostolou
Modified: 2010-01-22 19:22 PST (History)
2 users (show)

See Also:


Attachments
Crash log (36.86 KB, application/octet-stream)
2010-01-15 00:21 PST, Dimitris Apostolou
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitris Apostolou 2010-01-15 00:21:49 PST
Created attachment 46647 [details]
Crash log

WebKit 6531.21.10, r53317

Reproducibility: always

Steps:
1. Go to http://www.atlassian.com/tv/episode?id=oogw95esjwoh
2. Start playing the Flash video.
3. Click on the icon on the top right inside the video feed to switch to full screen.

What happened:
3. WebKitPluginHost crashes 100%.

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   ...dia.FlashPlayer-10.6.plugin	0x1309d478 main + 55304
1   ...dia.FlashPlayer-10.6.plugin	0x13016848 FlashPlayer_10_1_51_66_FlashPlayer + 6072
2   com.apple.WebKit.PluginHost   	0x0000a296 0x1000 + 37526
3   com.apple.WebKit.PluginHost   	0x0000b621 0x1000 + 42529
4   com.apple.WebKit.PluginHost   	0x000078c6 0x1000 + 26822
5   com.apple.CoreFoundation      	0x90cc8e31 __CFRunLoopDoBlocks + 353
6   com.apple.CoreFoundation      	0x90c792ad __CFRunLoopRun + 845
7   com.apple.CoreFoundation      	0x90c78864 CFRunLoopRunSpecific + 452
8   com.apple.CoreFoundation      	0x90c78691 CFRunLoopRunInMode + 97
9   com.apple.HIToolbox           	0x9522ef0c RunCurrentEventLoopInMode + 392
10  com.apple.HIToolbox           	0x9522ecc3 ReceiveNextEventCommon + 354
11  com.apple.HIToolbox           	0x9522eb48 BlockUntilNextEventMatchingListInMode + 81
12  com.apple.AppKit              	0x98a64ac5 _DPSNextEvent + 847
13  com.apple.AppKit              	0x98a64306 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 156
14  com.apple.AppKit              	0x98a2649f -[NSApplication run] + 821
15  com.apple.WebKit.PluginHost   	0x0000625f 0x1000 + 21087
16  com.apple.WebKit.PluginHost   	0x00002035 0x1000 + 4149

Expected result:
3. WebKitPluginHost does not crash.

Notes:
This is a regression. Crash does not occur in public Safari 4.0.4 (6531.21.10)
Comment 1 Mark Rowe (bdash) 2010-01-15 12:51:08 PST
<rdar://problem/7547190>
Comment 2 Dimitris Apostolou 2010-01-22 18:51:18 PST
Verified with r53677
Comment 3 Dimitris Apostolou 2010-01-22 18:51:38 PST
Closing.
Comment 4 Simon Fraser (smfr) 2010-01-22 19:22:21 PST
Probably fixed by http://trac.webkit.org/changeset/53637